openSUSE Security Update : nfs-client (openSUSE-SU-2011:0747-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update fixes the following security issues :

When using wildcards in /etc/exports an attacker could gain
unauthorized access to an nfs exported filesystem by creating a DNS
record that resolves to the attacker's IP as well as to a trusted IP
(CVE-2011-2500).

mount.nfs could corrupt /etc/mtab (CVE-2011-1749).

See also :

http://lists.opensuse.org/opensuse-updates/2011-07/msg00006.html
http://lists.opensuse.org/opensuse-updates/2011-07/msg00008.html
https://bugzilla.novell.com/show_bug.cgi?id=689799
https://bugzilla.novell.com/show_bug.cgi?id=693189
https://bugzilla.novell.com/show_bug.cgi?id=701702

Solution :

Update the affected nfs-client packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75978 ()

Bugtraq ID:

CVE ID: CVE-2011-1749
CVE-2011-2500

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now